0

I am having an issue running the command sudo apt update on my VMs.

I cannot install any packages and I cannot ping anything. They are a NAT interface server and my DNS keeps getting removed, but doesn't work when I add it on my /network/interface. I've changed us.archive to archive and to old-archive, but nothing works.

Here are the relevant screenshots:

Image Error

Config Interface

  • fyi: Lubuntu 16.04 LTS along with all 16.04 LTS flavors excluding Kylin reached EOL earlier this year. "Maintenance updates are provided for 5 years for Ubuntu Desktop, Ubuntu Server, Ubuntu Cloud, Ubuntu Base, and Ubuntu Kylin. All the remaining flavours are supported for 3 years" fridge.ubuntu.com/2019/03/01/ubuntu-16-04-6-lts-released – guiverc Oct 2 at 11:52
  • So i need to upgrade it to ubuntu 18? – noobnoob123 Oct 3 at 9:12
  • It's your choice. Ubuntu 16.04 LTS base, Unity 7 desktop, no desktop (ie. server) or Kylin desktop still receive updates, however LXDE/MATE/XFCE/GNOME/etc & most packages found in 'universe' are no longer supported/not getting security updates. It's your decision based on what you do & security implications of what you use. Ubuntu Core 18 is intended for IoT appliances/devices so upgrade path should be to 18.04 LTS (not Ubuntu Core 18). Use ubuntu-support-status to see for your yourself, you current system's support status (ie. packages that are unsupported/potential-security-risk etc) – guiverc Oct 3 at 9:30
  • But the thing is, i am not able to download any packages. I was able to download things before but then i got that error and i wasn't able to do anything. I can't even ping google – noobnoob123 Oct 3 at 12:50

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.